## wxMemoryInputStream

Derived from

wxInputStream

Include files

<wx/mstream.h>

See also

wxStreamBuffer, wxMemoryOutputStream

Members

wxMemoryInputStream::wxMemoryInputStream
wxMemoryInputStream::~wxMemoryInputStream

### wxMemoryInputStream::wxMemoryInputStream

wxMemoryInputStream(const char * data, size_t len)

Initializes a new read-only memory stream which will use the specified buffer data of length len. The stream does not take ownership of the buffer, i.e. that it will not delete in its destructor.

### wxMemoryInputStream::~wxMemoryInputStream

~wxMemoryInputStream()

Destructor.